/*
 * $Id: dispmng.h,v 1.1.1.1 2002/05/04 09:19:08 kenta Exp $
 *
 * Copyright 2002 Kenta Cho. All rights reserved.
 */

/**
 * Display manager header file.
 *
 * @version $Revision: 1.1.1.1 $
 */

#define SCREEN_WIDTH 224
#define SCREEN_HEIGHT 144

/* screen text size */
#define SCREEN_TEXT_WIDTH 28
#define SCREEN_TEXT_HEIGHT 18

/* used sprite index range */
#define SPRITE_RANGE 115

/* position to hide sprite */
#define DISAP_POS -32

/* character index */
#define ALP_CHAR (0x200*14+128)
#define NUM_CHAR (0x200*14+154)
#define NUM_SPR_CHAR (0x200*(14-8)+154+0x2000)
#define ARROW_CHAR (0x200*14+164)
#define TITLE_CHAR (0x200*14+272)
#define BLOCK_CHAR 0x0240

/* sprite index */
#define MAN_SPRITE_IDX 4
#define BALL_SPRITE_IDX 16
#define FRAG_SPRITE_IDX 99
#define BONUS_SPRITE_IDX 0

void initDisplay();
void closeDisplay();
void clearDisplay();
void drawAlp(char c, int x, int y);
void drawAlp2(char c, int x, int y);
void drawNum(long, int, int);
void drawNum2(long, int, int);
