/*
 * $Id: gamemng.h,v 1.2 2002/05/05 15:15:02 kenta Exp $
 *
 * Copyright 2002 Kenta Cho. All rights reserved.
 */

/**
 * Game manager header file.
 *
 * @version $Revision: 1.2 $
 */
#include "dispmng.h"

#define TITLE 0
#define GAME_IN_PROGRESS 1
#define GAMEOVER 2
#define PAUSE 3

#define STAGE_START 0
#define IN_GAME 1
#define STAGE_CLEAR 2

#define GAME_TIME_INTERVAL 33

#define BALL_BONUS_START 100
#define BALL_BONUS_MAX 1600

typedef struct {
  int status;
  int time;
  int atrcStat;
  int atrcTime;
} GameStatus;

extern GameStatus gameStatus;
extern Boolean aPrsd, bPrsd, startPrsd;

extern int stage;
extern int stageTime, stageTimeStart;
extern long score;
extern int prsdBallNum, prsdBallColor, prsdBallBonus, prsdBallBonusCnt;

extern void initGame();
extern void startGame();
extern void gotoNextStage();
extern void handleInGame();
extern void drawScore();
